Package com.ngrok.definitions

# Class CertificateAuthority

java.lang.Object
com.ngrok.definitions.CertificateAuthority

public class CertificateAuthority extends Object
A class encapsulating the `CertificateAuthority` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertificateAuthority(String id, URI uri, OffsetDateTime createdAt, String description, String metadata, String caPem, String subjectCommonName, OffsetDateTime notBefore, OffsetDateTime notAfter, List<String> keyUsages, List<String> extendedKeyUsages)`
  Creates a new instance of `CertificateAuthority`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getCaPem()`
  raw PEM of the Certificate Authority
  `OffsetDateTime`
  `getCreatedAt()`
  timestamp when the Certificate Authority was created, RFC 3339 format
  `String`
  `getDescription()`
  human-readable description of this Certificate Authority.
  `List<String>`
  `getExtendedKeyUsages()`
  extended set of actions the private key of this Certificate Authority can be used for
  `String`
  `getId()`
  unique identifier for this Certificate Authority
  `List<String>`
  `getKeyUsages()`
  set of actions the private key of this Certificate Authority can be used for
  `String`
  `getMetadata()`
  arbitrary user-defined machine-readable data of this Certificate Authority.
  `OffsetDateTime`
  `getNotAfter()`
  timestamp when this Certificate Authority becomes invalid, RFC 3339 format
  `OffsetDateTime`
  `getNotBefore()`
  timestamp when this Certificate Authority becomes valid, RFC 3339 format
  `String`
  `getSubjectCommonName()`
  subject common name of the Certificate Authority
  `URI`
  `getUri()`
  URI of the Certificate Authority API resource
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CertificateAuthority

    public CertificateAuthority(String id, URI uri, OffsetDateTime createdAt, String description, String metadata, String caPem, String subjectCommonName, OffsetDateTime notBefore, OffsetDateTime notAfter, List<String> keyUsages, List<String> extendedKeyUsages)
    Creates a new instance of `CertificateAuthority`.
    Parameters:
      `id` - unique identifier for this Certificate Authority
      `uri` - URI of the Certificate Authority API resource
      `createdAt` - timestamp when the Certificate Authority was created, RFC 3339 format
      `description` - human-readable description of this Certificate Authority. optional, max 255 bytes.
      `metadata` - arbitrary user-defined machine-readable data of this Certificate Authority. optional, max 4096 bytes.
      `caPem` - raw PEM of the Certificate Authority
      `subjectCommonName` - subject common name of the Certificate Authority
      `notBefore` - timestamp when this Certificate Authority becomes valid, RFC 3339 format
      `notAfter` - timestamp when this Certificate Authority becomes invalid, RFC 3339 format
      `keyUsages` - set of actions the private key of this Certificate Authority can be used for
      `extendedKeyUsages` - extended set of actions the private key of this Certificate Authority can be used for

- ## Method Details

  - ### getId

    public String getId()
    unique identifier for this Certificate Authority
    Returns:
      the value of the property as a `String`

  - ### getUri

    public URI getUri()
    URI of the Certificate Authority API resource
    Returns:
      the value of the property as a `URI`

  - ### getCreatedAt

    public OffsetDateTime getCreatedAt()
    timestamp when the Certificate Authority was created, RFC 3339 format
    Returns:
      the value of the property as a `OffsetDateTime`

  - ### getDescription

    public String getDescription()
    human-readable description of this Certificate Authority. optional, max 255 bytes.
    Returns:
      the value of the property as a `String`

  - ### getMetadata

    public String getMetadata()
    arbitrary user-defined machine-readable data of this Certificate Authority. optional, max 4096 bytes.
    Returns:
      the value of the property as a `String`

  - ### getCaPem

    public String getCaPem()
    raw PEM of the Certificate Authority
    Returns:
      the value of the property as a `String`

  - ### getSubjectCommonName

    public String getSubjectCommonName()
    subject common name of the Certificate Authority
    Returns:
      the value of the property as a `String`

  - ### getNotBefore

    public OffsetDateTime getNotBefore()
    timestamp when this Certificate Authority becomes valid, RFC 3339 format
    Returns:
      the value of the property as a `OffsetDateTime`

  - ### getNotAfter

    public OffsetDateTime getNotAfter()
    timestamp when this Certificate Authority becomes invalid, RFC 3339 format
    Returns:
      the value of the property as a `OffsetDateTime`

  - ### getKeyUsages

    public List<String> getKeyUsages()
    set of actions the private key of this Certificate Authority can be used for
    Returns:
      the value of the property as a `List` of `String`

  - ### getExtendedKeyUsages

    public List<String> getExtendedKeyUsages()
    extended set of actions the private key of this Certificate Authority can be used for
    Returns:
      the value of the property as a `List` of `String`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`